package main;

import org.apache.commons.io.FileUtils;
import org.apache.commons.io.FilenameUtils;
import org.jsoup.Jsoup;
import org.jsoup.nodes.Element;
import org.jsoup.nodes.Document;
import org.jsoup.select.Elements;

import java.io.File;
import java.io.IOException;
import java.net.URL;

public class Main {
    public static void main(String[] args) throws IOException {
        getKonkurs("http://igdc.ru/konkurses/", "", 0);
    }

    static  void getKonkurs(String link, String place, int level) throws IOException {
        Document html = Jsoup.connect(link + place).get();
        Elements elements = html.body().getElementsByTag("a");

        for (Element e : elements) {
            String text = e.text();
            if (!text.equals("Parent Directory")) {
                if (FilenameUtils.getExtension(text).equals("")) {
                    new File(place + text).mkdirs();
                    getKonkurs(link, place + text + "/", level +=1);
                } else {
                    for (int i = 0; i < level; ++i) System.out.print('\t');
                    System.out.print(text+"...");
                    URL url = new URL(link + place + text);
                    File file = new File(place + text);
                    if (!file.exists()) {
                        FileUtils.copyURLToFile(url, file);
                    }
                    System.out.println(" OK");
                }
            }
        }
    }
}
